package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaAelophyOrderGetRequest struct {
	/*
	   请求对象     */
	OrderGetRequest *domain.AlibabaAelophyOrderGetOrderGetRequest `json:"order_get_request" required:"true" `
}

func (s *AlibabaAelophyOrderGetRequest) SetOrderGetRequest(v domain.AlibabaAelophyOrderGetOrderGetRequest) *AlibabaAelophyOrderGetRequest {
	s.OrderGetRequest = &v
	return s
}

func (req *AlibabaAelophyOrderGetRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.OrderGetRequest != nil {
		paramMap["order_get_request"] = util.ConvertStruct(*req.OrderGetRequest)
	}
	return paramMap
}

func (req *AlibabaAelophyOrderGetRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
